package com.xpo.ltl.api.client.common;

import java.io.File;
import java.io.IOException;
import java.text.MessageFormat;

import org.apache.commons.io.FileUtils;

public class Attachment {

	private String contentType;
	private String fileName;
	private byte[] contents;

	public static Attachment fromFile(String fileName, String contentType) throws IOException {
		return fromFile(new File(fileName), contentType);
	}
	
	public static Attachment fromFile(File file, String contentType) throws IOException {
		Attachment a = new Attachment();
		a.setFileName(file.getName());
		a.setContentType(contentType);
		a.setContents(FileUtils.readFileToByteArray(file));
		return a;
	}
	
	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public byte[] getContents() {
		return contents;
	}

	public void setContents(byte[] contents) {
		this.contents = contents;
	}

	public String toString() {
		return MessageFormat
				.format("File-Name:{0}, Content-Type:{1}, Size:{2}", fileName, contentType, contents.length);
	}
}
